Page MenuHomePhabricator

[Task] Inject frontend part of lexeme datatype from WikibaseLexeme extension
Closed, ResolvedPublic

Description

As shown in the proof-of-concept patch https://gerrit.wikimedia.org/r/357796 in order to allow extensions to register custom data types, extensions should have a way to add custom "experts" for those data types, so UI widgets would accept values of the extension-provided data type.

It seems "core" Wikibase front-end code should expose an extension point for extensions. This would possibly be implemented using front-end hooks.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 15 2017, 1:26 PM
Ladsgroup removed Ladsgroup as the assignee of this task.Jun 15 2017, 1:27 PM
Ladsgroup removed a project: User-Ladsgroup.

We could use a hook to register like we have introduced it here:
https://gerrit.wikimedia.org/r/#/c/359000/

WMDE-leszek updated the task description. (Show Details)Jun 20 2017, 2:32 PM
WMDE-leszek moved this task from Proposed to Backlog on the Wikidata-Former-Sprint-Board board.

Change 361460 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Add wikibase.experts.Lexeme

https://gerrit.wikimedia.org/r/361460

Change 361463 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Add 'wikibase.experts' hook

https://gerrit.wikimedia.org/r/361463

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 26 2017, 2:38 PM
Ladsgroup removed Ladsgroup as the assignee of this task.Jun 27 2017, 11:50 PM
Ladsgroup removed a project: User-Ladsgroup.

Change 361498 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE); owner: Aleksey Bekh-Ivanov (WMDE)):
[mediawiki/extensions/Wikibase@master] Dynamic experts' registration

https://gerrit.wikimedia.org/r/361498

Change 361460 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add wikibase.experts.Lexeme

https://gerrit.wikimedia.org/r/361460

Change 361498 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Dynamic experts' registration

https://gerrit.wikimedia.org/r/361498

WMDE-leszek closed this task as Resolved.Jun 29 2017, 10:30 AM
WMDE-leszek claimed this task.

Change 361463 abandoned by Ladsgroup:
Add 'wikibase.experts' hook

Reason:
Done in another way \o/

https://gerrit.wikimedia.org/r/361463

Change 378013 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Require missing namespace for wikibase.experts.getStore module

https://gerrit.wikimedia.org/r/378013